# SendScilabJobs

Send Scilab tasks from a C/C++ code (call_scilab)

    int SendScilabJobs(char **jobs, int numberjobs);

## Description

This fonction is provided in call_scilab. This function send many tasks which will be proccessed by the Scilab engine.

Note that the ending ";" is not mandatory at the end of a command.

## Arguments

jobs

  an array of standard C char* containing the Scilab instructions

numberjobs

  The number of the Scilab instructions

returns

  0 is all the operations are successful.

  -10 if .

  <0 and > -10 when an error occurred in the execution.

## Examples

    // A simple SendScilabJobs example

    char* jobs[3];
    jobs[0]="a = 1";
    jobs[1]="b = 3";
    jobs[2]="c = a + b;";
    SendScilabJobs(jobs,3);
    SendScilabJob("disp(c);"); // Will display   4.

## See Also

- Call_Scilab
- api Scilab
- SendScilabJob
- Compile and run with call_scilab
- Double Management
- Boolean Management
- Complex Management
- String Management